package com.example.petstoremobile.models;

public class Chat {
    private String chatId;
    private String customerName;
    private String lastMessage;
    private Long customerId;
    private Long staffId;
    private String status;

    public Chat(String chatId, String customerName, String lastMessage, Long customerId, Long staffId, String status) {
        this.chatId = chatId;
        this.customerName = customerName;
        this.lastMessage = lastMessage;
        this.customerId = customerId;
        this.staffId = staffId;
        this.status = status;
    }

    public String getChatId() {
        return chatId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public String getLastMessage() {
        return lastMessage;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public String getStatus() {
        return status;
    }
}